include tmp/common.conf

<Extension py>
    Module          xm_python
    PythonCode        modules/extension/python/py/processlogs.py
</Extension>

<Input filein>
    Module          im_file
    File            'modules/extension/python/input/input.txt'
    ReadFromLast    FALSE
    SavePos         FALSE
</Input>

<Output fileout>
    Module          om_file
    File            'tmp/output'

    # First call is for extracting field
    Exec            python_call("pre_process");
    # Second call is for filtering
    Exec            python_call("post_process");

</Output>

<Route use_perl>
    Path            filein => fileout
</Route>
